---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/content-repository/src/main/fabric8/icon.svg
      prometheus.io/port: "9180"
      prometheus.io/scrape: "true"
      fabric8.io/git-commit: 8b1a18a7814826637694beb9d05fd588cb6e794f
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8-services/tenant-jenkins.git/tenant-jenkins-apps/content-repository
      fabric8.io/scm-url: http://github.com/fabric8-services/tenant-jenkins/tenant-jenkins-apps/content-repository
      fabric8.io/git-branch: release-v4.0.22
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8-services/tenant-jenkins.git/tenant-jenkins-apps/content-repository
      fabric8.io/scm-tag: fabric8-services/tenant-jenkins-1.0.0
    labels:
      provider: fabric8
      app: content-repository
      version: 4.0.22
      group: io.fabric8.devops.apps
      expose: "true"
    name: content-repository
  spec:
    ports:
    - port: 80
      protocol: TCP
      targetPort: 8080
    selector:
      app: content-repository
      provider: fabric8
      group: io.fabric8.tenant.apps
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    labels:
      app: content-repository
      provider: fabric8
      version: 4.0.22
      group: io.fabric8.tenant.apps
    name: content-repository
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 1Gi
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/content-repository/src/main/fabric8/icon.svg
      fabric8.io/git-commit: 8b1a18a7814826637694beb9d05fd588cb6e794f
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=content-repository&var-version=4.0.22
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8-services/tenant-jenkins.git/tenant-jenkins-apps/content-repository
      fabric8.io/scm-url: http://github.com/fabric8-services/tenant-jenkins/tenant-jenkins-apps/content-repository
      fabric8.io/git-branch: release-v4.0.22
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8-services/tenant-jenkins.git/tenant-jenkins-apps/content-repository
      fabric8.io/scm-tag: fabric8-services/tenant-jenkins-1.0.0
    labels:
      provider: fabric8
      app: content-repository
      version: 4.0.22
      group: io.fabric8.devops.apps
    name: content-repository
  spec:
    replicas: 1
    revisionHistoryLimit: 2
    selector:
      app: content-repository
      provider: fabric8
      group: io.fabric8.tenant.apps
    strategy:
      recreateParams:
        timeoutSeconds: 10000
      type: Recreate
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 8b1a18a7814826637694beb9d05fd588cb6e794f
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=content-repository&var-version=4.0.22
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8-services/tenant-jenkins.git/tenant-jenkins-apps/content-repository
          fabric8.io/scm-url: http://github.com/fabric8-services/tenant-jenkins/tenant-jenkins-apps/content-repository
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/content-repository/src/main/fabric8/icon.svg
          fabric8.io/git-branch: release-v4.0.22
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8-services/tenant-jenkins.git/tenant-jenkins-apps/content-repository
          fabric8.io/scm-tag: fabric8-services/tenant-jenkins-1.0.0
        labels:
          app: content-repository
          provider: fabric8
          version: 4.0.22
          group: io.fabric8.tenant.apps
      spec:
        containers:
        - env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/caddy-server:v9274a15
          imagePullPolicy: IfNotPresent
          name: content-repository
          ports:
          - containerPort: 8080
            name: http
          - containerPort: 9180
            name: prometheus
          resources:
            limits:
              cpu: "1"
              memory: 512Mi
            requests:
              cpu: "0"
          volumeMounts:
          - mountPath: /var/www/html
            name: content
            readOnly: false
        volumes:
        - name: content
          persistentVolumeClaim:
            claimName: content-repository
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: Route
  metadata:
    labels:
      app: content-repository
      provider: fabric8
      version: 4.0.22
      group: io.fabric8.tenant.apps
    name: content-repository
  spec:
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
    to:
      kind: Service
      name: content-repository
